package com.bonus.canteen.core.basic.mapper;

import java.util.List;
import com.bonus.canteen.core.basic.domain.BasicArea;

/**
 * 区域Mapper接口
 * 
 * @author xsheng
 * @date 2025-05-25
 */
public interface BasicAreaMapper {
    /**
     * 查询区域
     * 
     * @param areaId 区域主键
     * @return 区域
     */
    public BasicArea selectBasicAreaByAreaId(Long areaId);

    /**
     * 查询区域列表
     * 
     * @param basicArea 区域
     * @return 区域集合
     */
    public List<BasicArea> selectBasicAreaList(BasicArea basicArea);

    public BasicArea selectBasicAreaByAreaName(String areaName);

    /**
     * 新增区域
     * 
     * @param basicArea 区域
     * @return 结果
     */
    public int insertBasicArea(BasicArea basicArea);

    /**
     * 修改区域
     * 
     * @param basicArea 区域
     * @return 结果
     */
    public int updateBasicArea(BasicArea basicArea);

    /**
     * 删除区域
     * 
     * @param areaId 区域主键
     * @return 结果
     */
    public int deleteBasicAreaByAreaId(Long areaId);

    /**
     * 批量删除区域
     * 
     * @param areaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBasicAreaByAreaIds(Long[] areaIds);
}
